#if !defined(PRINT_ERRORS_ID)
#define PRINT_ERRORS_ID "@(#)$Id: print_errors.h,v 1.2 2015/10/05 04:32:53 leavens Exp leavens $";

extern void program_usage_init(char *name, char *usage_mesg);
     /* effect: initialize the error printing system */

extern void warning(const char *fmt, ...);
     /* effect: print Name (if defined), "Warning: ",
	then a message controlled by fmt and the other args,
	then a newline on standard error output.
      */


extern void error(const char *fmt, ...);
     /* effect: print Name (if defined), "Warning: ",
	then a message controlled by fmt and the other args,
	then a newline on standard error output.
      */

extern void usage();
     /* effect: print usage message on standard error output, and exit(1)
      */

extern void sys_err(const char *fmt, ...);
     /* requires: 0 <= errno && errno < sys_nerr */
     /* effect: print Name (if defined), "ERROR: ", msg, a colon, a space,
        the standard Unix system error message, and a newline
        on standard error output, then exit(1).
      */

extern void sys_warning(const char *fmt, ...);
     /* requires: 0 <= errno && errno < sys_nerr */
     /* effect: print Name (if defined), "Warning: ", msg, a colon,
        a space, then the standard Unix system error message, and a newline
        on standard error output.
      */

#endif
