/* $Id: prompt.c,v 1.5 2015/10/07 02:59:22 leavens Exp leavens $ */
#include <stdio.h>
#include <string.h>
#ifdef _MSC_VER
#include <io.h>
#define fileno(f) _fileno(f)
#define isatty(fn) _isatty(fn)
#else
#include <unistd.h>
#endif
void prompt(FILE *f, const char *pstring)
     /* requires: f is open */
     /* effect: if f is associated with a terminal,
      *         then write pstring to that terminal (as a prompt).
      */
{
  extern char *ttyname(int fd);
  extern int isatty(int fd);
  char prom[72];

  if (isatty(fileno(f))) {
    /* prompt only if someone to see it */
    FILE *promptf;
#ifdef _MSC_VER
    promptf = stderr;
#else
    promptf = fopen(ttyname(fileno(f)), "w");
#endif
    strcpy(prom, pstring);
    fprintf(promptf, prom);
#ifndef _MSC_VER
    fclose(promptf);
#endif
  }
}

